#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module	asyncio
Summary:	Asynchronous IO Support
Name:		python3-%{module}
Version:	3.4.3
Release:	4
License:	GPL
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/a/asyncio/%{module}-%{version}.tar.gz
# Source0-md5:	a189813096a6da1e46c16a41edb5f96d
Patch0:		tests.patch
URL:		https://pypi.python.org/pypi/asyncio
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python3-2to3
BuildRequires:	python3-modules >= 3.3
BuildRequires:	rpm-pythonprov
Requires:	python3 >= 3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Asynchronous IO Support library - includes a pluggable event loop,
transport and protocol abstractions similar to those in Twisted, and a
higher-level scheduler based on yield from (PEP 380)

%prep
%setup  -q -n asyncio-%{version}
%patch0 -p1

%build
%py3_build
%{?with_tests:%{__make} test PYTHON=%{__python3}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py3_install

cp -p examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-asyncio.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c9cd62
- python 3.6
- release 4 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 86ba80b
- release 3 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> f8b99df
- disabled tests that fail only on builders

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 41abbab
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 91c2a24
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7c5295f
- automatic change: use py_build/py_install macros

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0980767
- up to 3.4.3

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a3b8926
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 48fbe75
- python 3.5 rebuild
- release 3 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c2bef9
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> d288386
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa77112
- initial

